- Qt 5.15
- Qt 3D
- C++ Classes
- QRenderAspect
- Qt 5.15.19 Reference Documentation

# QRenderAspect Class

class Qt3DRender::QRenderAspect

The QRenderAspect class. More...

Header: | #include <Qt3DRender/QRenderAspect>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DCore::QAbstractAspect

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

| QRenderAspect(RenderType type, QObject *parent = nullptr)
| QRenderAspect(QObject *parent = nullptr)

## Detailed Description

## Member Function Documentation

### QRenderAspect::QRenderAspect(RenderType type, QObject *parent = nullptr)

The constructor creates a new QRenderAspect::QRenderAspect instance with the specified type and parent. type parent

### QRenderAspect::QRenderAspect(QObject *parent = nullptr)

The constructor creates a new QRenderAspect::QRenderAspect instance with the specified parent. parent